=== debian/changelog ===
schedutils (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Update ionice from util-linux. Closes: #366159
  * Allow ionice to be compiled on architectures that are not supported,
    complain at runtime instead.

 -- Guus Sliepen <guus@debian.org>  Tue, 14 Nov 2006 21:25:20 +0100

schedutils (1.4.0-1) unstable; urgency=low

  * New upstream release. Closes: #304916

 -- Guus Sliepen <guus@debian.org>  Mon, 25 Apr 2005 10:00:33 +0200

schedutils (1.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Thu, 25 Mar 2004 11:14:40 +0100

schedutils (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Fri, 12 Sep 2003 17:35:18 +0200

schedutils (1.3.2-2) unstable; urgency=low

  * Add some system call numbers, and try to create a function
    returning ENOSYS instead of failing to compile.

 -- Guus Sliepen <guus@debian.org>  Sat, 16 Aug 2003 12:45:05 +0200

schedutils (1.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Thu, 14 Aug 2003 15:48:48 +0200

schedutils (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sat,  9 Aug 2003 10:26:47 +0200

schedutils (1.3.0-1) unstable; urgency=low

  * New upstream release. 

 -- Guus Sliepen <guus@debian.org>  Sun, 15 Jun 2003 18:29:12 +0200

schedutils (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 23 Apr 2003 11:44:57 +0200

schedutils (1.1.0-2) unstable; urgency=low

  * Include <errno.h> for ENOSYS.

 -- Guus Sliepen <guus@debian.org>  Mon, 16 Dec 2002 18:52:25 +0100

schedutils (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * chbatch is no longer included. Closes: #165595

 -- Guus Sliepen <guus@debian.org>  Mon, 16 Dec 2002 17:32:13 +0100

schedutils (1.0.0-6) unstable; urgency=low

  * Really fix build-dependencies this time?

 -- Guus Sliepen <guus@debian.org>  Wed, 23 Oct 2002 00:23:11 +0200

schedutils (1.0.0-5) unstable; urgency=low

  * Fix build-dependencies for ia64 (and other architectures?).
    Closes: #165816

 -- Guus Sliepen <guus@debian.org>  Tue, 22 Oct 2002 00:53:25 +0200

schedutils (1.0.0-4) unstable; urgency=low

  * Build-depend on libc6-dev instead of libc6.

 -- Guus Sliepen <guus@debian.org>  Mon, 21 Oct 2002 21:39:52 +0200

schedutils (1.0.0-3) unstable; urgency=low

  * Use glibc 2.3's definitions for sched_set/getaffinity().

 -- Guus Sliepen <guus@debian.org>  Mon, 21 Oct 2002 18:35:55 +0200

schedutils (1.0.0-2) unstable; urgency=low

  * Fix package description. Closes: #155720

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Sep 2002 17:07:41 +0200

schedutils (1.0.0-1) unstable; urgency=low

  * New upstream release. Closes: #153162

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Sep 2002 16:07:45 +0200

schedutils (0.0.9-1) unstable; urgency=low

  * New upstream release.
  * Added manual page for chbatch.

 -- Guus Sliepen <guus@debian.org>  Mon, 22 Jul 2002 16:25:21 +0200

schedutils (0.0.8-1) unstable; urgency=low

  * New upstream release. Closes: #151277

 -- Guus Sliepen <guus@debian.org>  Fri, 28 Jun 2002 17:55:51 +0200

schedutils (0.0.6-1) unstable; urgency=low

  * New upstream release. Closes: #149357

 -- Guus Sliepen <guus@sliepen.warande.net>  Wed, 19 Jun 2002 18:10:39 +0200

schedutils (0.0.5-2) unstable; urgency=low

  * Build taskset only on supported platforms. Closes: #148698

 -- Guus Sliepen <guus@sliepen.warande.net>  Sun,  2 Jun 2002 16:35:57 +0200

schedutils (0.0.5-1) unstable; urgency=low

  * Initial Release. Closes: #148076

 -- Guus Sliepen <guus@sliepen.warande.net>  Wed, 22 May 2002 19:46:04 +0200
