=== debian/control ===
Source: schedutils
Section: utils
Priority: optional
Maintainer: Guus Sliepen <guus@debian.org>
Build-Depends: debhelper (>> 4.0.0), libc6-dev (>= 2.3.2.ds1-21) [!ia64 !alpha], libc6.1-dev (>= 2.3.2.ds1-21) [ia64 alpha]
Standards-Version: 3.7.2

Package: schedutils
Architecture: any
Depends: ${shlibs:Depends}
Description: Linux scheduler utilities
 These are the Linux scheduler utilities - schedutils for short. These programs
 take advantage of the scheduler family of syscalls that Linux implements across
 various kernels. These system calls implement interfaces for scheduler-related
 parameters such as CPU affinity and real-time attributes. The standard UNIX
 utilities do not provide support for these interfaces -- thus this package.
 .
 The programs that are included in this package are taskset, chrt and ionice.
 Together with nice and renice (not included), they allow full control of
 process scheduling parameters.
